Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 1864)
+++ /trunk/admin.php	(revision 1865)
@@ -96,5 +96,4 @@
     'U_MOVE'=> $link_start.'cat_move',
     'U_CAT_UPLOAD'=> $opt_link.'upload',
-    'U_CAT_COMMENTS'=> $opt_link.'comments',
     'U_CAT_VISIBLE'=> $opt_link.'visible',
     'U_CAT_STATUS'=> $opt_link.'status',
Index: /trunk/admin/cat_options.php
===================================================================
--- /trunk/admin/cat_options.php	(revision 1864)
+++ /trunk/admin/cat_options.php	(revision 1865)
@@ -61,14 +61,4 @@
       break;
     }
-    case 'comments' :
-    {
-      $query = '
-UPDATE '.CATEGORIES_TABLE.'
-  SET commentable = \'false\'
-  WHERE id IN ('.implode(',', $_POST['cat_true']).')
-;';
-      pwg_query($query);
-      break;
-    }
     case 'visible' :
     {
@@ -104,14 +94,4 @@
 UPDATE '.CATEGORIES_TABLE.'
   SET uploadable = \'true\'
-  WHERE id IN ('.implode(',', $_POST['cat_false']).')
-;';
-      pwg_query($query);
-      break;
-    }
-    case 'comments' :
-    {
-      $query = '
-UPDATE '.CATEGORIES_TABLE.'
-  SET commentable = \'true\'
   WHERE id IN ('.implode(',', $_POST['cat_false']).')
 ;';
@@ -206,25 +186,4 @@
     break;
   }
-  case 'comments' :
-  {
-    $query_true = '
-SELECT id,name,uppercats,global_rank
-  FROM '.CATEGORIES_TABLE.'
-  WHERE commentable = \'true\'
-;';
-    $query_false = '
-SELECT id,name,uppercats,global_rank
-  FROM '.CATEGORIES_TABLE.'
-  WHERE commentable = \'false\'
-;';
-    $template->assign_vars(
-      array(
-        'L_SECTION' => $lang['cat_comments_title'],
-        'L_CAT_OPTIONS_TRUE' => $lang['authorized'],
-        'L_CAT_OPTIONS_FALSE' => $lang['forbidden'],
-        )
-      );
-    break;
-  }
   case 'visible' :
   {
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 1864)
+++ /trunk/admin/configuration.php	(revision 1865)
@@ -159,4 +159,30 @@
 }
 
+if ( $page['section']=='comments' and !is_adviser() )
+{
+  if (isset($_POST['falsify'])
+      and isset($_POST['cat_true'])
+      and count($_POST['cat_true']) > 0)
+  {
+      $query = '
+UPDATE '.CATEGORIES_TABLE.'
+  SET commentable = \'false\'
+  WHERE id IN ('.implode(',', $_POST['cat_true']).')
+;';
+      pwg_query($query);
+  }
+  if (isset($_POST['trueify'])
+         and isset($_POST['cat_false'])
+         and count($_POST['cat_false']) > 0)
+  {
+      $query = '
+UPDATE '.CATEGORIES_TABLE.'
+  SET commentable = \'true\'
+  WHERE id IN ('.implode(',', $_POST['cat_false']).')
+;';
+      pwg_query($query);
+  }
+}
+
 //----------------------------------------------------- template initialization
 $template->set_filenames( array('config'=>'admin/configuration.tpl') );
@@ -227,4 +253,17 @@
         );
     }
+    
+    $query_true = '
+SELECT id,name,uppercats,global_rank
+  FROM '.CATEGORIES_TABLE.'
+  WHERE commentable = \'true\'
+;';
+    $query_false = '
+SELECT id,name,uppercats,global_rank
+  FROM '.CATEGORIES_TABLE.'
+  WHERE commentable = \'false\'
+;';
+    display_select_cat_wrapper($query_true,array(),'comments.category_option_true');
+    display_select_cat_wrapper($query_false,array(),'comments.category_option_false');
     break;
   }
Index: /trunk/language/en_UK.iso-8859-1/help/configuration.html
===================================================================
--- /trunk/language/en_UK.iso-8859-1/help/configuration.html	(revision 1864)
+++ /trunk/language/en_UK.iso-8859-1/help/configuration.html	(revision 1865)
@@ -9,4 +9,5 @@
 <p>This screen is divided in several sections, regrouping configuration
 parameters by theme.</p>
+
 
 <h3>General</h3>
@@ -43,20 +44,4 @@
 </ul>
 
-
-<h3>User comments</h3>
-
-<ul>
-
-  <li><strong>Comments for all</strong>: Even guest not registered can post
-  comments.</li>
-
-  <li><strong>Number of comments per page</strong>.</li>
-
-  <li><strong>Validation</strong>: an administrator validate users posted
-  comments before they become visible on the site. User comments validation
-  takes place in screen <span class="pwgScreen">Administration, Pictures,
-  Comments</span>.</li>
-
-</ul>
 
 <h3>Default display</h3>
@@ -109,2 +94,29 @@
 
 </ul>
+
+
+<h3>User comments</h3>
+
+<ul>
+
+  <li><strong>Comments for all</strong>: Even guest not registered can post
+  comments.</li>
+
+  <li><strong>Number of comments per page</strong>.</li>
+
+  <li><strong>Validation</strong>: an administrator validate users posted
+  comments before they become visible on the site. User comments validation
+  takes place in screen <span class="pwgScreen">Administration, Pictures,
+  Comments</span>.</li>
+
+  <li><strong>Email admin when a valid comment is entered</strong>:
+Sends an email to the administrators when a user enters a comment and this comment is validated.</li>
+
+  <li><strong>Email admin when a comment requires validation</strong>:
+Sends an email to the administrators when a user enters a comment that requires validation by the admin.
+User comments validation takes place in the screen <span class="pwgScreen">Administration, Pictures, Comments</span>.</li>
+
+  <li><strong>Authorize users to add comments on selected categories</strong>:
+ Selects the categories which are commentable. An image is commentable if it belongs to at least one category that is commentable.</li>
+ 
+</ul>
Index: /trunk/language/fr_FR.iso-8859-1/help/configuration.html
===================================================================
--- /trunk/language/fr_FR.iso-8859-1/help/configuration.html	(revision 1864)
+++ /trunk/language/fr_FR.iso-8859-1/help/configuration.html	(revision 1865)
@@ -44,21 +44,4 @@
 </ul>
 
-
-<h3>Commentaires utilisateur</h3>
-
-<ul>
-
-  <li><strong>Commentaires utilisateur pour tous</strong>: même les
-utilisateurs non enregistrés peuvent enregistrer des commentaires.</li>
-
-  <li><strong>Nombre de commentaires utilisateur par page</strong>.</li>
-
-  <li><strong>Validation</strong>: un administrateur doit valider les
-commentaires utilisateurs avant qu'ils puissent devenir visibles dans la
-partie publique. La validation des commentaires utilisateurs a lieu dans
-l'écran <span class="pwgScreen">Administration, Images,
-Commentaires</span>.</li>
-
-</ul>
 
 <h3>Affichage par défaut</h3>
@@ -115,2 +98,30 @@
 
 </ul>
+
+
+<h3>Commentaires utilisateur</h3>
+
+<ul>
+
+  <li><strong>Commentaires utilisateur pour tous</strong>: même les
+utilisateurs non enregistrés peuvent enregistrer des commentaires.</li>
+
+  <li><strong>Nombre de commentaires utilisateur par page</strong>.</li>
+
+  <li><strong>Validation</strong>: un administrateur doit valider les
+commentaires utilisateurs avant qu'ils puissent devenir visibles dans la
+partie publique. La validation des commentaires utilisateurs a lieu dans
+l'écran <span class="pwgScreen">Administration, Images,
+Commentaires</span>.</li>
+
+  <li><strong>Notifier le webmestre quand un commentaire est enregistré</strong>:
+Envoi un courriel aux administrateurrs lorsqu'un utilisateur enregistre un commentaire qui est validé.</li>
+
+  <li><strong>Notifier le webmestre quand un commentaire requiert sa validation </strong>:
+Envoi un courriel aux administrateurrs lorsqu'un utilisateur enregistre un commentaire qui demande une validation de la part des administrateurs.
+La validation des commentaires utilisateurs a lieu dans l'écran <span class="pwgScreen">Administration, Images, Commentaires</span>.</li>
+
+<li><strong>Autoriser les utilisateurs à ajouter des commentaires dans les catégories sélectionnées</strong>:
+Une image est commentable si elle appartient à au moins une catégorie commentable.</li>
+
+</ul>
Index: /trunk/template/yoga/admin.tpl
===================================================================
--- /trunk/template/yoga/admin.tpl	(revision 1864)
+++ /trunk/template/yoga/admin.tpl	(revision 1865)
@@ -16,6 +16,6 @@
       <ul>
         <li><a href="{U_CONFIG_GENERAL}">{lang:general}</a></li>
+        <li><a href="{U_CONFIG_DISPLAY}">{lang:conf_default}</a></li>
         <li><a href="{U_CONFIG_COMMENTS}">{lang:comments}</a></li>
-        <li><a href="{U_CONFIG_DISPLAY}">{lang:conf_default}</a></li>
       </ul>
     </dd>
@@ -30,5 +30,4 @@
         <li><a href="{U_MOVE}">{lang:Move}</a></li>
         <li><a href="{U_CAT_UPLOAD}">{lang:upload}</a></li>
-        <li><a href="{U_CAT_COMMENTS}">{lang:comments}</a></li>
         <li><a href="{U_CAT_VISIBLE}">{lang:lock}</a></li>
         <li><a href="{U_CAT_STATUS}">{lang:cat_security}</a></li>
Index: /trunk/template/yoga/admin/configuration.tpl
===================================================================
--- /trunk/template/yoga/admin/configuration.tpl	(revision 1864)
+++ /trunk/template/yoga/admin/configuration.tpl	(revision 1865)
@@ -222,2 +222,34 @@
   </p>
 </form>
+
+
+<!-- BEGIN comments -->
+<form method="post" action="{F_ACTION}" class="properties">
+<fieldset>
+  <legend>{lang:cat_comments_title}</legend>
+  <table class="doubleSelect">
+    <tr>
+      <td>
+        <h3>{lang:authorized}</h3>
+        <select class="categoryList" name="cat_true[]" multiple="multiple" size="30">
+          <!-- BEGIN category_option_true -->
+          <option {comments.category_option_true.SELECTED} value="{comments.category_option_true.VALUE}">{comments.category_option_true.OPTION}</option>
+          <!-- END category_option_true -->
+        </select>
+        <p><input class="submit" type="submit" value="&raquo;" name="falsify" style="font-size:15px;" {TAG_INPUT_ENABLED}/></p>
+      </td>
+
+      <td>
+        <h3>{lang:forbidden}</h3>
+        <select class="categoryList" name="cat_false[]" multiple="multiple" size="30">
+          <!-- BEGIN category_option_false -->
+          <option {comments.category_option_false.SELECTED} value="{comments.category_option_false.VALUE}">{comments.category_option_false.OPTION}</option>
+          <!-- END category_option_false -->
+        </select>
+        <p><input class="submit" type="submit" value="&laquo;" name="trueify" style="font-size:15px;" {TAG_INPUT_ENABLED}/></p>
+      </td>
+    </tr>
+  </table>
+</fieldset>
+</form>
+<!-- END comments -->