Index: trunk/install/db/26-database.php
===================================================================
--- trunk/install/db/26-database.php	(revision 1901)
+++ trunk/install/db/26-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/27-database.php
===================================================================
--- trunk/install/db/27-database.php	(revision 1901)
+++ trunk/install/db/27-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/28-database.php
===================================================================
--- trunk/install/db/28-database.php	(revision 1901)
+++ trunk/install/db/28-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/29-database.php
===================================================================
--- trunk/install/db/29-database.php	(revision 1901)
+++ trunk/install/db/29-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/30-database.php
===================================================================
--- trunk/install/db/30-database.php	(revision 1901)
+++ trunk/install/db/30-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/31-database.php
===================================================================
--- trunk/install/db/31-database.php	(revision 1901)
+++ trunk/install/db/31-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/32-database.php
===================================================================
--- trunk/install/db/32-database.php	(revision 1901)
+++ trunk/install/db/32-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/39-database.php
===================================================================
--- trunk/install/db/39-database.php	(revision 1901)
+++ trunk/install/db/39-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/40-database.php
===================================================================
--- trunk/install/db/40-database.php	(revision 1901)
+++ trunk/install/db/40-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/47-database.php
===================================================================
--- trunk/install/db/47-database.php	(revision 1901)
+++ trunk/install/db/47-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
 // | branch        : BSF (Best So Far)
Index: trunk/install/db/6-database.php
===================================================================
--- trunk/install/db/6-database.php	(revision 1901)
+++ trunk/install/db/6-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // | Copyright (C) 2006 Ruben ARNAUD - team@phpwebgallery.net              |
 // +-----------------------------------------------------------------------+
Index: trunk/install/db/7-database.php
===================================================================
--- trunk/install/db/7-database.php	(revision 1901)
+++ trunk/install/db/7-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // | Copyright (C) 2006 Ruben ARNAUD - team@phpwebgallery.net              |
 // +-----------------------------------------------------------------------+
Index: trunk/install/db/8-database.php
===================================================================
--- trunk/install/db/8-database.php	(revision 1901)
+++ trunk/install/db/8-database.php	(revision 1903)
@@ -3,5 +3,5 @@
 // | PhpWebGallery - a PHP based picture gallery                           |
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2006 PhpWebGallery Team - http://phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // | Copyright (C) 2006 Ruben ARNAUD - team@phpwebgallery.net              |
 // +-----------------------------------------------------------------------+