Index: trunk/admin/cat_modify.php
===================================================================
--- trunk/admin/cat_modify.php	(revision 1903)
+++ trunk/admin/cat_modify.php	(revision 1904)
@@ -530,33 +530,57 @@
 if (isset($_POST['submitEmail']))
 {
-  $query = '
-SELECT
-    user_id,
-    '.$conf['user_fields']['email'].' AS email
-  FROM '.USER_GROUP_TABLE.'
-    INNER JOIN '.USERS_TABLE.' ON '.$conf['user_fields']['id'].' = user_id
-  WHERE '.$conf['user_fields']['email'].' IS NOT NULL
-    AND group_id = '.$_POST['group'].'
-;';
-  $result = pwg_query($query);
-
-  while ($row = mysql_fetch_array($result))
-  {
-    pwg_mail(
-      $row['email'],
-      array(
-        'content' => get_absolute_root_url().make_index_url(
+  set_make_full_url();
+
+  /* TODO: if $category['representative_picture_id'] 
+    is empty find child representative_picture_id */
+  if (!empty($category['representative_picture_id']))
+  {
+    $query = '
+SELECT id, file, path, tn_ext
+  FROM '.IMAGES_TABLE.'
+  WHERE id = '.$category['representative_picture_id'].'
+;';
+
+    $result = pwg_query($query);
+    if (mysql_num_rows($result) > 0)
+    {
+      $element = mysql_fetch_assoc($result);
+
+      $img_url  = '<a href="'.
+                      make_picture_url(array(
+                          'image_id' => $element['id'],
+                          'image_file' => $element['file'],
+                          'category' => $category
+                        ))
+                      .'"><img src="'.get_thumbnail_url($element).'"/></a>';
+    }
+  }
+  
+  if (!isset($img_url))
+  {
+    $img_url = '';
+  }
+
+  // TODO Mettre un array pour traduction subjet
+  pwg_mail_group(
+    $_POST['group'],
+    get_str_email_format(true), /* TODO add a checkbox in order to choose format*/
+    $category['name'],
+    'cat_group_info',
+    array
+    (
+      'IMG_URL' => $img_url,
+      'LINK' => make_index_url(
           array(
             'category' => array(
               'id' => $category['id'],
               'name' => $category['name'],
-              'permalink' => $category['permalink'],
-              )
-            )
-          ),
-        'subject' => $category['name']
-        )
-      );
-  }
+              'permalink' => $category['permalink']
+              ))),
+      'CPL_CONTENT' => '' /* TODO Add text area to add complementary content */
+    ),
+    '' /* TODO Add listbox in order to choose Language selected */);
+
+  unset_make_full_url();
 
   $query = '
Index: trunk/admin/include/functions_notification_by_mail.inc.php
===================================================================
--- trunk/admin/include/functions_notification_by_mail.inc.php	(revision 1903)
+++ trunk/admin/include/functions_notification_by_mail.inc.php	(revision 1904)
@@ -193,8 +193,6 @@
   // Save $user, $lang_info and $lang arrays (include/user.inc.php has been executed)
   $env_nbm['save_user'] = $user;
-  $env_nbm['save_lang_info'] = $lang_info;
-  $env_nbm['save_lang'] = $lang;
-  // Last Language
-  $env_nbm['last_language'] = $user['language'];
+  // Save current language to stack, necessary because $user change during NBM
+  switch_lang_to($user['language']);
 
   $env_nbm['is_to_send_mail'] = $is_to_send_mail;
@@ -228,6 +226,6 @@
   // Restore $user, $lang_info and $lang arrays (include/user.inc.php has been executed)
   $user = $env_nbm['save_user'];
-  $lang_info = $env_nbm['save_lang_info'];
-  $lang = $env_nbm['save_lang'];
+  // Restore current language to stack, necessary because $user change during NBM
+  switch_lang_back();
 
   if ($env_nbm['is_to_send_mail'])
@@ -245,9 +243,5 @@
 
   unset($env_nbm['save_user']);
-  unset($env_nbm['save_lang_info']);
-  unset($env_nbm['save_lang']);
-  unset($env_nbm['last_language']);
   unset($env_nbm['is_to_send_mail']);
-
 }
 
@@ -263,21 +257,6 @@
   $user = build_user( $nbm_user['user_id'], true );
 
-  if ($env_nbm['last_language'] != $user['language'])
-  {
-    $env_nbm['last_language'] = $user['language'];
-
-    // Re-Init language arrays
-    $lang_info = array();
-    $lang  = array();
-
-    // language files
-    include(get_language_filepath('common.lang.php'));
-    // No test admin because script is checked admin (user selected no)
-    // Translations are in admin file too
-    include(get_language_filepath('admin.lang.php'));
-    trigger_action('loading_lang');
-    @include(get_language_filepath('local.lang.php'));
-  }
-  
+  switch_lang_to($user['language']);
+
   if ($is_action_send)
   {
@@ -300,4 +279,5 @@
   global $env_nbm;
 
+  switch_lang_back();
   unset($env_nbm['mail_template']);
 }