Index: /trunk/install/upgrade_1.3.0.php
===================================================================
--- /trunk/install/upgrade_1.3.0.php	(revision 1930)
+++ /trunk/install/upgrade_1.3.0.php	(revision 1931)
@@ -7,7 +7,7 @@
 // | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
-// | last update   : $Date: 2005-01-08 00:10:51 +0100 (sam, 08 jan 2005) $
-// | last modifier : $Author: plg $
-// | revision      : $Revision: 675 $
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /trunk/install/upgrade_1.3.1.php
===================================================================
--- /trunk/install/upgrade_1.3.1.php	(revision 1930)
+++ /trunk/install/upgrade_1.3.1.php	(revision 1931)
@@ -7,7 +7,7 @@
 // | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
-// | last update   : $Date: 2005-01-08 00:10:51 +0100 (sam, 08 jan 2005) $
-// | last modifier : $Author: plg $
-// | revision      : $Revision: 675 $
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /trunk/install/upgrade_1.4.0.php
===================================================================
--- /trunk/install/upgrade_1.4.0.php	(revision 1930)
+++ /trunk/install/upgrade_1.4.0.php	(revision 1931)
@@ -7,7 +7,7 @@
 // | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
-// | last update   : $Date: 2006-04-19 22:54:13 +0200 (mer, 19 avr 2006) $
-// | last modifier : $Author: plg $
-// | revision      : $Revision: 1209 $
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /trunk/install/upgrade_1.5.0.php
===================================================================
--- /trunk/install/upgrade_1.5.0.php	(revision 1930)
+++ /trunk/install/upgrade_1.5.0.php	(revision 1931)
@@ -7,7 +7,7 @@
 // | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
-// | last update   : $Date: 2005-10-23 23:02:21 +0200 (dim, 23 oct 2005) $
-// | last modifier : $Author: plg $
-// | revision      : $Revision: 911 $
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /trunk/install/upgrade_1.6.0.php
===================================================================
--- /trunk/install/upgrade_1.6.0.php	(revision 1930)
+++ /trunk/install/upgrade_1.6.0.php	(revision 1931)
@@ -7,7 +7,7 @@
 // | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
-// | last update   : $Date: 2005-10-23 23:02:21 +0200 (dim, 23 oct 2005) $
-// | last modifier : $Author: plg $
-// | revision      : $Revision: 911 $
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /trunk/install/upgrade_1.6.2.php
===================================================================
--- /trunk/install/upgrade_1.6.2.php	(revision 1930)
+++ /trunk/install/upgrade_1.6.2.php	(revision 1931)
@@ -7,7 +7,7 @@
 // | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
-// | last update   : $Date: 2005-10-23 23:02:21 +0200 (dim, 23 oct 2005) $
-// | last modifier : $Author: plg $
-// | revision      : $Revision: 911 $
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |