Index: trunk/language/en_UK/admin.lang.php
===================================================================
--- trunk/language/en_UK/admin.lang.php	(revision 2248)
+++ trunk/language/en_UK/admin.lang.php	(revision 2251)
@@ -435,6 +435,4 @@
 $lang['tn_all'] = 'all';
 $lang['tn_alone_title'] = 'pictures without thumbnail (jpeg and png only)';
-$lang['tn_dirs_alone'] = 'pictures without thumbnail';
-$lang['tn_dirs_title'] = 'Directories list';
 $lang['tn_err_height'] = 'height must be a number superior to';
 $lang['tn_err_width'] = 'width must be a number superior to';
@@ -443,5 +441,4 @@
 $lang['tn_no_support'] = 'Picture unreachable or no support';
 $lang['tn_params_GD'] = 'GD version';
-$lang['tn_params_create'] = 'create';
 $lang['tn_params_title'] = 'Miniaturization parameters';
 $lang['tn_results_gen_time'] = 'generated in';
@@ -537,5 +534,4 @@
 $lang['ws_Comment'] = ' Comment ';
 $lang['Modify End from Now +'] = 'Modify End from Now + ';
-$lang['Free comment, use it to identify your partner clearly'] = ' Free comment, use it to identify your partner clearly ';
 $lang['Confirmation'] = ' Confirmation ';
 $lang['Delete'] = ' Remove ';
@@ -568,5 +564,4 @@
 $lang['Day'] = 'Day';
 $lang['Pages seen'] = 'Pages seen';
-//$lang['only'] = 'only';
 $lang['Pictures'] = 'Pictures';
 $lang['High quality'] = 'High quality';
@@ -635,4 +630,5 @@
 $lang['c13y_user_created'] = 'User "%s" created with "%s" like password';
 $lang['c13y_user_status_updated'] = 'Status of user "%s" updated';
+$lang['add new elements to caddie'] = 'add new elements to caddie';
 // --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
 $lang['no_display_thumbnail'] = 'No display';
@@ -686,3 +682,4 @@
 $lang['plugins_server_error'] = 'Can\'t connect to server.';
 
+$lang['Purge compiled templates'] = 'Purge compiled templates';
 ?>
Index: trunk/language/en_UK/common.lang.php
===================================================================
--- trunk/language/en_UK/common.lang.php	(revision 2248)
+++ trunk/language/en_UK/common.lang.php	(revision 2251)
@@ -295,5 +295,4 @@
 $lang['return to homepage'] = 'return to homepage';
 $lang['search'] = 'Search';
-$lang['search_ascending'] = 'Ascending';
 $lang['search_author'] = 'Search for Author';
 $lang['search_categories'] = 'Search in Categories';
@@ -302,5 +301,4 @@
 $lang['search_date_to'] = 'End-Date';
 $lang['search_date_type'] = 'Kind of date';
-$lang['search_descending'] = 'Descending';
 $lang['search_keywords'] = 'Search for words';
 $lang['search_mode_and'] = 'Search for all terms ';
@@ -309,5 +307,4 @@
 $lang['search_options'] = 'Search Options';
 $lang['search_result'] = 'Search results';
-$lang['search_sort'] = 'Sort results by';
 $lang['search_subcats_included'] = 'Search in subcategories';
 $lang['search_title'] = 'Search';
@@ -376,5 +373,4 @@
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['guest_must_be_guest'] = 'Bad status for user "guest", using default status. Please notify the webmaster.';
-$lang['add new elements to caddie'] = 'add new elements to caddie';
 // --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and special user cannot use this method';
Index: trunk/language/es_ES/admin.lang.php
===================================================================
--- trunk/language/es_ES/admin.lang.php	(revision 2248)
+++ trunk/language/es_ES/admin.lang.php	(revision 2251)
@@ -435,6 +435,4 @@
 $lang['tn_all'] = 'todo';
 $lang['tn_alone_title'] = 'imagen sin miniatura (jpeg y png únicamente)';
-$lang['tn_dirs_alone'] = 'imagenes sin miniatura';
-$lang['tn_dirs_title'] = 'Lista repertorios';
 $lang['tn_err_height'] = 'La altura debe un entero superior a';
 $lang['tn_err_width'] = 'La anchura debe ser un entero superior a';
@@ -443,5 +441,4 @@
 $lang['tn_no_support'] = 'Imagen inaccesible o no sostenida';
 $lang['tn_params_GD'] = 'versión de GD';
-$lang['tn_params_create'] = 'crear';
 $lang['tn_params_title'] = 'Parámetro de miniaturización';
 $lang['tn_results_gen_time'] = 'generada de allí';
@@ -571,5 +568,4 @@
 $lang['Day'] = 'Día';
 $lang['Pages seen'] = 'Páginas vistas';
-$lang['only'] = 'únicamente';
 $lang['Pictures'] = 'Imágenes';
 $lang['High quality'] = 'Alta resolución';
@@ -602,6 +598,4 @@
 $lang['%d line filtered'] = '%d línea filtrada';
 $lang['%d lines filtered'] = '%d Líneas filtradas';
-$lang['%d member: %s'] = '%d iembro: %s';
-$lang['%d members: %s'] = '%d miembros: %s';
 $lang['%d guest'] = '%d invitado';
 $lang['%d guests'] = '%d Invitados';
@@ -666,3 +660,4 @@
 $lang['c13y_anomalies_ignored_count'] = '%d anomalías han sido ignoradas.';
 
+/* TODO */ $lang['Purge compiled templates'] = 'Purge compiled templates';
 ?>
Index: trunk/language/es_ES/common.lang.php
===================================================================
--- trunk/language/es_ES/common.lang.php	(revision 2248)
+++ trunk/language/es_ES/common.lang.php	(revision 2251)
@@ -295,5 +295,4 @@
 $lang['return to homepage'] = 'Volver a la página de inicio';
 $lang['search'] = 'Búsqueda';
-$lang['search_ascending'] = 'Ascendiente';
 $lang['search_author'] = 'Buscar por autor';
 $lang['search_categories'] = 'Buscar bajo categorías';
@@ -302,5 +301,4 @@
 $lang['search_date_to'] = 'Hasta la fecha';
 $lang['search_date_type'] = 'Tipo de fecha';
-$lang['search_descending'] = 'Descendiente';
 $lang['search_keywords'] = 'Buscar por palabra';
 $lang['search_mode_and'] = 'Buscar todas las palabras';
@@ -309,5 +307,4 @@
 $lang['search_options'] = 'Opciones de búsqueda';
 $lang['search_result'] = 'Resultados de la búsqueda';
-$lang['search_sort'] = 'Clasificar los resultados de la búsqueda por';
 $lang['search_subcats_included'] = 'Buscar en las subcategorías';
 $lang['search_title'] = 'Búsqueda';
Index: trunk/language/fr_FR/admin.lang.php
===================================================================
--- trunk/language/fr_FR/admin.lang.php	(revision 2248)
+++ trunk/language/fr_FR/admin.lang.php	(revision 2251)
@@ -435,6 +435,4 @@
 $lang['tn_all'] = 'tout';
 $lang['tn_alone_title'] = 'image sans miniature (jpeg et png uniquement)';
-$lang['tn_dirs_alone'] = 'images sans miniature';
-$lang['tn_dirs_title'] = 'Liste des répertoires';
 $lang['tn_err_height'] = 'la hauteur doit un entier supérieur à';
 $lang['tn_err_width'] = 'la largeur doit être un entier supérieur à';
@@ -443,5 +441,4 @@
 $lang['tn_no_support'] = 'Image inaccessible ou non supportée';
 $lang['tn_params_GD'] = 'version de GD';
-$lang['tn_params_create'] = 'créer';
 $lang['tn_params_title'] = 'Paramètre de miniaturisation';
 $lang['tn_results_gen_time'] = 'générée en';
@@ -567,5 +564,4 @@
 $lang['Day'] = 'Jour';
 $lang['Pages seen'] = 'Pages vues';
-$lang['only'] = 'uniquement';
 $lang['Pictures'] = 'Images';
 $lang['High quality'] = 'Haute résolution';
@@ -598,6 +594,4 @@
 $lang['%d line filtered'] = '%d ligne filtrée';
 $lang['%d lines filtered'] = '%d lignes filtrées';
-$lang['%d member: %s'] = '%d membre: %s';
-$lang['%d members: %s'] = '%d membres: %s';
 $lang['%d guest'] = '%d invité';
 $lang['%d guests'] = '%d invités';
@@ -688,3 +682,4 @@
 $lang['plugins_server_error'] = 'Impossible de se connecter au serveur.';
 
+$lang['Purge compiled templates'] = 'Purger les templates compilés';
 ?>
Index: trunk/language/fr_FR/common.lang.php
===================================================================
--- trunk/language/fr_FR/common.lang.php	(revision 2248)
+++ trunk/language/fr_FR/common.lang.php	(revision 2251)
@@ -295,5 +295,4 @@
 $lang['return to homepage'] = 'retour à la page d\'accueil';
 $lang['search'] = 'Recherche';
-$lang['search_ascending'] = 'Croissant';
 $lang['search_author'] = 'Rechercher un auteur';
 $lang['search_categories'] = 'Rechercher dans les catégories';
@@ -302,5 +301,4 @@
 $lang['search_date_to'] = 'Date de fin';
 $lang['search_date_type'] = 'Type de date';
-$lang['search_descending'] = 'Décroissant';
 $lang['search_keywords'] = 'Recherche de mot';
 $lang['search_mode_and'] = 'Rechercher tous les mots';
@@ -309,5 +307,4 @@
 $lang['search_options'] = 'Options de recherche';
 $lang['search_result'] = 'Résultats de recherche';
-$lang['search_sort'] = 'Trier les résultats de recherche selon';
 $lang['search_subcats_included'] = 'Rechercher dans les sous-catégories';
 $lang['search_title'] = 'Recherche';
Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 2248)
+++ trunk/language/nl_NL/admin.lang.php	(revision 2251)
@@ -436,6 +436,4 @@
 $lang['tn_all'] = 'alles';
 $lang['tn_alone_title'] = 'afbeeldingen zonder thumbnail (alleen jpeg en png)';
-$lang['tn_dirs_alone'] = 'afbeeldingen zonder thumbnail';
-$lang['tn_dirs_title'] = 'Mappenlijst';
 $lang['tn_err_height'] = 'Hoogte moet groter zijn dan';
 $lang['tn_err_width'] = 'Breedte moet groter zijn dan';
@@ -444,5 +442,4 @@
 $lang['tn_no_support'] = 'Afbeelding is niet bereikbaar of er is geen support';
 $lang['tn_params_GD'] = 'GD versie';
-$lang['tn_params_create'] = 'genereer';
 $lang['tn_params_title'] = 'Miniatuur parameters';
 $lang['tn_results_gen_time'] = 'genereerd in';
@@ -538,5 +535,4 @@
 $lang['ws_Comment'] = ' Commentaar ';
 $lang['Modify End from Now +'] = 'Verander eind vanaf hier + ';
-$lang['Free comment, use it to identify your partner clearly'] = ' Vrij commentaar, gebruik dit om je partner te identificeren ';
 $lang['Confirmation'] = ' Bevestiging ';
 $lang['Delete'] = ' Verwijderen ';
@@ -573,5 +569,4 @@
 $lang['Day'] = 'Dag';
 $lang['Pages seen'] = 'Pagina\'s bekeken';
-//$lang['only'] = 'alleen';
 $lang['Pictures'] = 'Afbeeldingen';
 $lang['High quality'] = 'Hoge kwaliteit';
@@ -666,3 +661,4 @@
 /* TODO */ $lang['c13y_anomalies_ignored_count'] = '%d anomalies has been ignored.';
 
+/* TODO */ $lang['Purge compiled templates'] = 'Purge compiled templates';
 ?>
Index: trunk/language/nl_NL/common.lang.php
===================================================================
--- trunk/language/nl_NL/common.lang.php	(revision 2248)
+++ trunk/language/nl_NL/common.lang.php	(revision 2251)
@@ -295,5 +295,4 @@
 $lang['return to homepage'] = 'terug naar de homepage';
 $lang['search'] = 'Zoeken';
-$lang['search_ascending'] = 'Ascending';
 $lang['search_author'] = 'Zoek naar auteur';
 $lang['search_categories'] = 'Zoeken in Categorieën';
@@ -302,5 +301,4 @@
 $lang['search_date_to'] = 'Eind-Datum';
 $lang['search_date_type'] = 'Datum type';
-$lang['search_descending'] = 'Descending';
 $lang['search_keywords'] = 'Zoek naar hele woorden';
 $lang['search_mode_and'] = 'Zoeken naar alle woorden';
@@ -309,5 +307,4 @@
 $lang['search_options'] = 'Zoek Opties';
 $lang['search_result'] = 'Zoekresultaten';
-$lang['search_sort'] = 'Sorteer resultaten op';
 $lang['search_subcats_included'] = 'Zoeken in subcategorieën';
 $lang['search_title'] = 'Zoeken';