Index: trunk/admin/include/functions_notification_by_mail.inc.php
===================================================================
--- trunk/admin/include/functions_notification_by_mail.inc.php	(revision 2284)
+++ trunk/admin/include/functions_notification_by_mail.inc.php	(revision 2285)
@@ -338,5 +338,5 @@
   set_make_full_url();
 
-  $env_nbm['mail_template']->assign_vars
+  $env_nbm['mail_template']->assign
   (
     array
@@ -419,8 +419,5 @@
         $section_action_by = ($is_subscribe ? 'subscribe_by_' : 'unsubscribe_by_');
         $section_action_by .= ($is_admin_request ? 'admin' : 'himself');
-        $env_nbm['mail_template']->assign_block_vars
-        (
-          $section_action_by, array('DUMMY' => 'dummy')
-        );
+        $env_nbm['mail_template']->assign( $section_action_by, true );
 
         if (pwg_mail
Index: trunk/admin/notification_by_mail.php
===================================================================
--- trunk/admin/notification_by_mail.php	(revision 2284)
+++ trunk/admin/notification_by_mail.php	(revision 2285)
@@ -322,9 +322,7 @@
               assign_vars_nbm_mail_content($nbm_user);
 
-              $end_punct = ($conf['nbm_send_detailed_content'] ? ':' : '.');
-
               if (!is_null($nbm_user['last_send']))
               {
-                $env_nbm['mail_template']->assign_block_vars
+                $env_nbm['mail_template']->assign
                 (
                   'content_new_elements_between',
@@ -333,5 +331,4 @@
                     'DATE_BETWEEN_1' => $nbm_user['last_send'],
                     'DATE_BETWEEN_2' => $dbnow,
-                    'END_PUNCT' => $end_punct
                   )
                 );
@@ -339,5 +336,5 @@
               else
               {
-                $env_nbm['mail_template']->assign_block_vars
+                $env_nbm['mail_template']->assign
                 (
                   'content_new_elements_single',
@@ -345,5 +342,4 @@
                   (
                     'DATE_SINGLE' => $dbnow,
-                    'END_PUNCT' => $end_punct
                   )
                 );
@@ -352,11 +348,5 @@
               if ($conf['nbm_send_detailed_content'])
               {
-                foreach ($news as $data)
-                {
-                  $env_nbm['mail_template']->assign_block_vars
-                  (
-                    'global_new_line.new_line', array('DATA' => $data)
-                  );
-                }
+                $env_nbm['mail_template']->assign('global_new_lines', $news);
               }
 
@@ -366,9 +356,7 @@
               if (!empty($nbm_user_customize_mail_content))
               {
-                $env_nbm['mail_template']->assign_block_vars
+                $env_nbm['mail_template']->assign
                 (
-                  'custom',
-                  array('CUSTOMIZE_MAIL_CONTENT' =>
-                    $nbm_user_customize_mail_content)
+                  'custom_mail_content', $nbm_user_customize_mail_content
                 );
               }
@@ -380,7 +368,7 @@
                 foreach ($recent_post_dates as $date_detail)
                 {
-                  $env_nbm['mail_template']->assign_block_vars
+                  $env_nbm['mail_template']->append
                   (
-                    'recent_post.recent_post_block',
+                    'recent_posts',
                     array
                     (
@@ -392,17 +380,12 @@
               }
 
-              $env_nbm['mail_template']->assign_block_vars
+              $env_nbm['mail_template']->assign
               (
-                'goto',
                 array
                 (
-                  'GALLERY_TITLE' => $conf['gallery_title'],
-                  'GALLERY_URL' => $conf['gallery_url']
+                  'GOTO_GALLERY_TITLE' => $conf['gallery_title'],
+                  'GOTO_GALLERY_URL' => $conf['gallery_url'],
+                  'SEND_AS_NAME'      => $env_nbm['send_as_name'],
                 )
-              );
-
-              $env_nbm['mail_template']->assign_block_vars
-              (
-                'byebye', array('SEND_AS_NAME' => $env_nbm['send_as_name'])
               );
 
Index: trunk/include/template.class.php
===================================================================
--- trunk/include/template.class.php	(revision 2284)
+++ trunk/include/template.class.php	(revision 2285)
@@ -270,5 +270,5 @@
     if ( $this->smarty->_fetch_resource_info($params) )
     {
-      if (!preg_match('~{(/(if|section|foreach))|\$[a-zA-Z_]+}~', @$params['source_content']) )
+      if (!preg_match('~{(/(if|section|foreach))|ldelim|\$[a-zA-Z_]+}~', @$params['source_content']) )
         $is_new = false;
     }
Index: trunk/template/yoga/admin/default-layout.css
===================================================================
--- trunk/template/yoga/admin/default-layout.css	(revision 2284)
+++ trunk/template/yoga/admin/default-layout.css	(revision 2285)
@@ -12,5 +12,5 @@
 
 TABLE.table2 TD, TABLE.table2 TH {
-  padding: 4px 8px;
+  padding: 0 0.8em;
 }
 
Index: trunk/template/yoga/mail/text/html/admin/notification_by_mail.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/admin/notification_by_mail.tpl	(revision 2284)
+++ trunk/template/yoga/mail/text/html/admin/notification_by_mail.tpl	(revision 2285)
@@ -1,54 +1,57 @@
-<!-- DEV TAG: not smarty migrated -->
+{* $Id$ *}
 <div id="nbm_message">
-<h2>{lang:Notification}</h2>
-<p>{lang:nbm_content_hello_1}{USERNAME}{lang:nbm_content_hello_2}</p>
+<h2>{'Notification'|@translate}</h2>
+<p>{'nbm_content_hello_1'|@translate}{$USERNAME}{'nbm_content_hello_2'|@translate}</p>
 
-<!-- BEGIN subscribe_by_admin -->
-<p>{lang:nbm_content_subscribe_by_admin}</p>
-<!-- END subscribe_by_admin -->
-<!-- BEGIN subscribe_by_himself -->
-<p>{lang:nbm_content_subscribe_by_himself}</p>
-<!-- END subscribe_by_himself -->
-<!-- BEGIN unsubscribe_by_admin -->
-<p>{lang:nbm_content_unsubscribe_by_admin}</p>
-<!-- END unsubscribe_by_admin -->
-<!-- BEGIN unsubscribe_by_himself -->
-<p>{lang:nbm_content_unsubscribe_by_himself}</p>
-<!-- END unsubscribe_by_himself -->
-<!-- BEGIN content_new_elements_single -->
-<p>{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_single}{content_new_elements_single.DATE_SINGLE}{content_new_elements_single.END_PUNCT}</p>
-<!-- END content_new_elements_single -->
-<!-- BEGIN content_new_elements_between -->
-<p>{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_between_1}{content_new_elements_between.DATE_BETWEEN_1}{lang:nbm_content_new_elements_between_2}{content_new_elements_between.DATE_BETWEEN_2}{content_new_elements_between.END_PUNCT}</p>
-<!-- END content_new_elements_between -->
-<!-- BEGIN global_new_line -->
+{if isset($subscribe_by_admin)}
+<p>{'nbm_content_subscribe_by_admin'|@translate}</p>
+{/if}
+{if isset($subscribe_by_himself)}
+<p>{'nbm_content_subscribe_by_himself'|@translate}</p>
+{/if}
+{if isset($unsubscribe_by_admin)}
+<p>{'nbm_content_unsubscribe_by_admin'|@translate}</p>
+{/if}
+{if isset($unsubscribe_by_himself)}
+<p>{'nbm_content_unsubscribe_by_himself'|@translate}</p>
+{/if}
+{if isset($content_new_elements_single)}
+<p>{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_single'|@translate}{$content_new_elements_single.DATE_SINGLE}.</p>
+{/if}
+{if isset($content_new_elements_between)}
+<p>{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_between_1'|@translate}{$content_new_elements_between.DATE_BETWEEN_1}{'nbm_content_new_elements_between_2'|@translate}{$content_new_elements_between.DATE_BETWEEN_2}.</p>
+{/if}
+
+{if not empty($global_new_lines)}
 <ul id="nbm_new_line">
-  <!-- BEGIN new_line -->
-  <li>{global_new_line.new_line.DATA}</li>
-  <!-- END new_line -->
+{foreach from=$global_new_lines item=line}
+  <li>{$line}</li>
+{/foreach}
 </ul>
-<!-- END global_new_line -->
-<!-- BEGIN custom -->
-<p>{custom.CUSTOMIZE_MAIL_CONTENT}</p>
-<!-- END custom -->
-<!-- BEGIN goto -->
-<p>{lang:nbm_content_goto_1}<a href="{goto.GALLERY_URL}">{goto.GALLERY_TITLE}</a>{lang:nbm_content_goto_2}</p>
-<!-- END goto -->
-<p>{lang:nbm_content_byebye}</p>
-<p ALIGN=center>{SEND_AS_NAME}</p>
+{/if}
+
+{if not empty($custom_mail_content)}
+<p>{$custom_mail_content}</p>
+{/if}
+
+{if not empty($GOTO_GALLERY_TITLE)}
+<p>{'nbm_content_goto_1'|@translate}<a href="{$GOTO_GALLERY_URL}">{$GOTO_GALLERY_TITLE}</a>{'nbm_content_goto_2'|@translate}</p>
+{/if}
+<p>{'nbm_content_byebye'|@translate}</p>
+<p style="text-align:center">{$SEND_AS_NAME}</p>
 <p>
-<br/><hr>
-{lang:nbm_content_unsubscribe_link}{lang:nbm_content_click_on}<a href="{UNSUBSCRIBE_LINK}">{UNSUBSCRIBE_LINK}</a><br/>
-{lang:nbm_content_subscribe_link}{lang:nbm_content_click_on}<a href="{SUBSCRIBE_LINK}">{SUBSCRIBE_LINK}</a><br/>
-{lang:nbm_content_problem_contact}<a href="mailto:{CONTACT_EMAIL}?subject={lang:nbm_content_pb_contact_object}">{CONTACT_EMAIL}</a><br/>
-<hr><br/>
+<br/><hr/>
+{'nbm_content_unsubscribe_link'|@translate}{'nbm_content_click_on'|@translate}<a href="{$UNSUBSCRIBE_LINK}">{$UNSUBSCRIBE_LINK}</a><br/>
+{'nbm_content_subscribe_link'|@translate}{'nbm_content_click_on'|@translate}<a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br/>
+{'nbm_content_problem_contact'|@translate}<a href="mailto:{$CONTACT_EMAIL}?subject={'nbm_content_pb_contact_object'|@translate}">{$CONTACT_EMAIL}</a><br/>
+<hr/><br/>
 </p>
-<!-- BEGIN recent_post -->
+{if not empty($recent_posts)}
 </div>
 <div id="nbm_recent_post">
-  <!-- BEGIN recent_post_block -->
-  <h2>{recent_post.recent_post_block.TITLE}</h2>
-  {recent_post.recent_post_block.HTML_DATA}
-  <!-- END recent_post_block -->
-<!-- END recent_post -->
+  {foreach from=$recent_posts item=recent_post }
+  <h2>{$recent_post.TITLE}</h2>
+  {$recent_post.HTML_DATA}
+  {/foreach}
+{/if}
 </div>
Index: trunk/template/yoga/mail/text/html/global-mail-css.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/global-mail-css.tpl	(revision 2284)
+++ trunk/template/yoga/mail/text/html/global-mail-css.tpl	(revision 2285)
@@ -1,18 +1,12 @@
 {* $Id$ *}
 /* Global mail css */
-/* Including like css style on HTML mail */
 
-body {ldelim}background-color:#fff;font-family: Univers, Helvetica, Optima;font-size:12px; margin:0px;padding:0px; color:#369;}
-#the_page {ldelim}background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;
-margin:0px;padding:0px;text-align: left;}
-#content {ldelim}background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;
-margin:0px;padding:82px 0px 0px 62px; width:732px;}
-hr {ldelim}width:632px;margin-left:0px;}
-#copyright {ldelim}background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
-color: #69c;font-size:10px;margin:0px;padding:98px 0px 62px 62px;}
-.PWG {ldelim}font-family: verdana, sans-serif !important; font-size: 0.9em; font-weight: normal; letter-spacing: 0px;}
-h2 {ldelim}background-color:#ddd;padding: 7px 15px; width:617px;font-weight:bold;}
-img {ldelim}margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover {ldelim}padding: 15px; border: 1px solid yellow; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a {ldelim}color: #005e89; background: transparent; }
-a:hover {ldelim}color: #858460; text-decoration: none;}
+body {ldelim} font-family: Univers, Helvetica, Optima; font-size:12px; margin:0px; padding:0px; }
+#the_page {ldelim} margin:0px; padding:0px; text-align:left;}
+#content {ldelim} margin:0px; padding:82px 0px 0px 62px; width:732px;}
+hr {ldelim} width:632px; margin-left:0;}
+#copyright {ldelim} font-size:10px; margin:0px; padding:48px 0px 32px 62px;}
+.PWG {ldelim} font-family:verdana, sans-serif !important; font-size:0.9em; font-weight:normal; letter-spacing:0px;}
+h2 {ldelim} padding:7px 15px; width:617px; font-weight:bold;}
+img {ldelim} margin:16px; border:16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow; -moz-border-radius: 4px; border-radius: 4px 4px; }
Index: trunk/template/yoga/mail/text/plain/admin/notification_by_mail.tpl
===================================================================
--- trunk/template/yoga/mail/text/plain/admin/notification_by_mail.tpl	(revision 2284)
+++ trunk/template/yoga/mail/text/plain/admin/notification_by_mail.tpl	(revision 2285)
@@ -1,44 +1,42 @@
-<!-- DEV TAG: not smarty migrated -->
-{lang:nbm_content_hello_1}{USERNAME}{lang:nbm_content_hello_2}
+{* $Id$ *}
+{'nbm_content_hello_1'|@translate}{$USERNAME}{'nbm_content_hello_2'|@translate}
 
-<!-- BEGIN subscribe_by_admin -->
-{lang:nbm_content_subscribe_by_admin}
-<!-- END subscribe_by_admin -->
-<!-- BEGIN subscribe_by_himself -->
-{lang:nbm_content_subscribe_by_himself}
-<!-- END subscribe_by_himself -->
-<!-- BEGIN unsubscribe_by_admin -->
-{lang:nbm_content_unsubscribe_by_admin}
-<!-- END unsubscribe_by_admin -->
-<!-- BEGIN unsubscribe_by_himself -->
-{lang:nbm_content_unsubscribe_by_himself}
-<!-- END unsubscribe_by_himself -->
-<!-- BEGIN content_new_elements_single -->
-{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_single}{content_new_elements_single.DATE_SINGLE}{content_new_elements_single.END_PUNCT}
-<!-- END content_new_elements_single -->
-<!-- BEGIN content_new_elements_between -->
-{lang:nbm_content_new_elements}{lang:nbm_content_new_elements_between_1}{content_new_elements_between.DATE_BETWEEN_1}{lang:nbm_content_new_elements_between_2}{content_new_elements_between.DATE_BETWEEN_2}{content_new_elements_between.END_PUNCT}
-<!-- END content_new_elements_between -->
-<!-- BEGIN global_new_line -->
-<!-- BEGIN new_line -->
-  o {global_new_line.new_line.DATA}
-<!-- END new_line -->
-<!-- END global_new_line -->
-<!-- BEGIN custom -->
+{if isset($subscribe_by_admin)}
+{'nbm_content_subscribe_by_admin'|@translate}
+{/if}
+{if isset($subscribe_by_himself)}
+{'nbm_content_subscribe_by_himself'|@translate}
+{/if}
+{if isset($unsubscribe_by_admin)}
+{'nbm_content_unsubscribe_by_admin'|@translate}
+{/if}
+{if isset($unsubscribe_by_himself)}
+{'nbm_content_unsubscribe_by_himself'|@translate}
+{/if}
+{if isset($content_new_elements_single)}
+{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_single'|@translate}{$content_new_elements_single.DATE_SINGLE}.
+{/if}
+{if isset($content_new_elements_between)}
+{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_between_1'|@translate}{$content_new_elements_between.DATE_BETWEEN_1}{'nbm_content_new_elements_between_2'|@translate}{$content_new_elements_between.DATE_BETWEEN_2}.
+{/if}
+{if not empty($global_new_lines)}
+{foreach from=$global_new_lines item=line}
+  o {$line}
+{/foreach}
+{/if}
+{if not empty($custom_mail_content)}
+{$custom_mail_content}
+{/if}
+{if not empty($GOTO_GALLERY_TITLE)}
+{'nbm_content_goto_1'|@translate}{$GOTO_GALLERY_TITLE} {$GOTO_GALLERY_URL} {'nbm_content_goto_2'|@translate}
+{/if}
 
-{custom.CUSTOMIZE_MAIL_CONTENT}
-<!-- END custom -->
-<!-- BEGIN goto -->
-
-{lang:nbm_content_goto_1}{goto.GALLERY_TITLE} {goto.GALLERY_URL} {lang:nbm_content_goto_2}
-<!-- END goto -->
-
-{lang:nbm_content_byebye}
-  {SEND_AS_NAME}
+{'nbm_content_byebye'|@translate}
+  {$SEND_AS_NAME}
 
 ______________________________________________________________________________
 
-{lang:nbm_content_unsubscribe_link}{lang:nbm_content_click_on}{UNSUBSCRIBE_LINK}
-{lang:nbm_content_subscribe_link}{lang:nbm_content_click_on}{SUBSCRIBE_LINK}
-{lang:nbm_content_problem_contact}{CONTACT_EMAIL}
+{'nbm_content_unsubscribe_link'|@translate}{'nbm_content_click_on'|@translate}{$UNSUBSCRIBE_LINK}
+{'nbm_content_subscribe_link'|@translate}{'nbm_content_click_on'|@translate}{$SUBSCRIBE_LINK}
+{'nbm_content_problem_contact'|@translate}{$CONTACT_EMAIL}
 ______________________________________________________________________________
Index: trunk/template/yoga/theme/clear/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/clear/mail-css.tpl	(revision 2284)
+++ trunk/template/yoga/theme/clear/mail-css.tpl	(revision 2285)
@@ -1,15 +1,13 @@
-<!-- DEV TAG: not smarty migrated -->
-/* $Id$ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id$ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: trunk/template/yoga/theme/dark/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/dark/mail-css.tpl	(revision 2284)
+++ trunk/template/yoga/theme/dark/mail-css.tpl	(revision 2285)
@@ -1,15 +1,13 @@
-<!-- DEV TAG: not smarty migrated -->
-/* $Id$ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id$ *}
+/* Theme dark mail css */
 
-body{background-color:#444; color:#fff;}
-#the_page {background: #444 url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#444; color:#fff;}
+#the_page {ldelim} background: #444 url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #69c;}
-h2 { background-color: #333;color:#fff48e;background-image: url({pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/images/tableh1_bg.png);}
-img { margin: 16px; border: 16px solid #111; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#444;-moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #fff48e; background: transparent;border-bottom:1px dotted #005e89; }
-a:hover {color: #fff48e;}
+h2 {ldelim} background-color: #333;color:#fff48e;background-image: url({$ROOT_URL}template/{$themeconf.template}/theme/{$themeconf.theme}/images/tableh1_bg.png);}
+img {ldelim} margin: 16px; border: 16px solid #111; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#444;-moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #fff48e; background: transparent;border-bottom:1px dotted #005e89; }
+a:hover {ldelim} color: #fff48e;}
Index: trunk/template/yoga/theme/p0w0/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/p0w0/mail-css.tpl	(revision 2284)
+++ trunk/template/yoga/theme/p0w0/mail-css.tpl	(revision 2285)
@@ -1,14 +1,12 @@
-<!-- DEV TAG: not smarty migrated -->
-/* $Id$ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id$ *}
+/* Theme p0w0 mail css */
 
-body{background-color:#cde; color:#369;}
-#the_page {background: #cde url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#cde; color:#369;}
+#the_page {ldelim} background: #cde url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #69c;}
-h2 {color:#fff;background: #369 url({pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/images/button-bg.png);}
-img { margin:16px;padding:15px;border:1px solid #69c;background-color:#eef;-moz-border-radius:4px; border-radius:4px 4px; }
-img:hover {border: 1px solid #c60; -moz-border-radius:4px; border-radius:4px 4px; }
-a { color: #f92; background: transparent; }
+h2 {ldelim} color:#fff;background: #369 url({$ROOT_URL}template/{$themeconf.template}/theme/{$themeconf.theme}/images/button-bg.png);}
+img {ldelim} margin:16px;padding:15px;border:1px solid #69c;background-color:#eef;-moz-border-radius:4px; border-radius:4px 4px; }
+img:hover {ldelim} border: 1px solid #c60; -moz-border-radius:4px; border-radius:4px 4px; }
+a {ldelim} color: #f92; background: transparent; }
Index: trunk/template/yoga/theme/wipi/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/wipi/mail-css.tpl	(revision 2284)
+++ trunk/template/yoga/theme/wipi/mail-css.tpl	(revision 2285)
@@ -1,21 +1,19 @@
-<!-- DEV TAG: not smarty migrated -->
-/* $Id$ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id$ *}
+/* Theme wipi mail css */
 
-body{background-color:#111; color:#69c;}
-#the_page {background: #111 url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#111; color:#69c;}
+#the_page {ldelim} background: #111 url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #69c;}
-h2 { background-color: #222;color:#eee;background-image: url({pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/images/tableh1_bg.png);}
-img { margin: 16px; padding:15px;border:1px solid #eee; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover {border:1px solid #69c; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #69c; background: transparent; }
-a:hover { color: #f92; }
-a.PWG { border: 0px; }
-a.PWG .P { color : #f92; }
-a.PWG .W { color : #aaa; }
-a.PWG .G { color : #69c; }
-a.PWG:hover .P { color : #69c; }
-a.PWG:hover .G { color : #f92; }
+h2 {ldelim} background-color: #222;color:#eee;background-image: url({$ROOT_URL}template/{$themeconf.template}/theme/{$themeconf.theme}/images/tableh1_bg.png);}
+img {ldelim} margin: 16px; padding:15px;border:1px solid #eee; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} border:1px solid #69c; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #69c; background: transparent; }
+a:hover {ldelim} color: #f92; }
+a.PWG {ldelim} border: 0px; }
+a.PWG .P {ldelim} color : #f92; }
+a.PWG .W {ldelim} color : #aaa; }
+a.PWG .G {ldelim} color : #69c; }
+a.PWG:hover .P {ldelim} color : #69c; }
+a.PWG:hover .G {ldelim} color : #f92; }